noinst_LIBRARIES=libidea.a
TESTS=ideatest
EXTRA_PROGRAMS=ideatest
INCLUDES=-I$(top_srcdir)/crypto

libidea_a_SOURCES=i_cbc.c i_cfb64.c i_ecb.c i_ofb64.c i_skey.c

ideatest_SOURCES=ideatest.c
ideatest_LDFLAGS=-L$(top_builddir)/crypto
ideatest_LDADD=-lcrypto
ideatest_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl idea.h idea.org idea_lcl.h version

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
